java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty and ‘parent.relativePath’ points at wrong local POM Error

This error solution is below;

When you search on the internet, you will see “sudo update-ca-certificates -f” as the solution. But this will not be the solution. Follow the solution step by step below.

java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty and ‘parent.relativePath’ points at wrong local POM Error

1- Firstly we change java version java-8-oracle

2- Open Terminal
$ sudo apt install openjdk-8-jre
$ sudo rm /etc/ssl/certs/java/cacerts
$ sudo update-ca-certificates — fresh

That’s it.

Reference: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=894979